% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/recipe-class.R
\name{sample_data}
\alias{sample_data}
\alias{sample_data,Recipe-method}
\title{Extracts sample_data from phyloseq inside a Recipe}
\usage{
sample_data(rec)

\S4method{sample_data}{Recipe}(rec)
}
\arguments{
\item{rec}{A Recipe or Recipe step.}
}
\value{
A tibble
}
\description{
Extracts sample_data from phyloseq inside a Recipe
}
\examples{
data(metaHIV_phy)

## Define recipe
rec <-
  recipe(metaHIV_phy, var_info = "RiskGroup2", tax_info = "Species")

## Extract sample_data from phyloseq object
sample_data(rec)
}
